Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZWorkflowProcess Class Reference
Inheritance diagram for eZWorkflowProcess:

## Public Member Functions
| reset ()
| advance ( $next_event_id=0, $next_event_pos=0, $status=0)
| run (&$workflow, &$workflowEvent, &$eventLog)
| currentEvent ()
| advanceToNext ()
| setParameters ( $parameterList=null)
| user ()
| content ()
| node ()
| workflow ()
| workflowEvent ()
| lastWorkflowEvent ()
| parameterList ()
| removeThis ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $processKey, $parameters)
static | fetch ( $id, $asObject=true)
static | fetchList ( $conds=null, $asObject=true, $offset=false, $limit=false)
static | createKey ( $parameters, $keys=null)
static | fetchListByKey ( $searchKey, $asObject=true)
static | fetchUserList ( $userID, $asObject=true)
static | fetchForContent ( $workflowID, $userID, $contentID, $contentVersion, $nodeID, $asObject=true)
static | fetchForStatus ( $status=eZWorkflow::STATUS_DEFERRED_TO_CRON, $asObject=true)
static | fetchForSession ( $sessionKey, $workflowID, $asObject=true)
| cleanup ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $EventState
| $Parameters
| $ParameterList
| $ID
| $WorkflowID
| $UserID
| $ContentID
| $NodeID
| $EventID
| $EventPosition
| $LastEventID
| $LastEventPosition
| $LastEventStatus
| $EventStatus
| $Created
| $Modified
| $ActivationDate
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Definition at line 17 of file ezworkflowprocess.php.

## Member Function Documentation

## ◆ advance()

eZWorkflowProcess::advance | ( |  | $next_event_id = `0`,
|  |  | $next_event_pos = `0`,
|  |  | $status = `0`
| ) |  |

Definition at line 170 of file ezworkflowprocess.php.

References $EventID, and $EventPosition.

Referenced by run().

## ◆ advanceToNext()

eZWorkflowProcess::advanceToNext | ( |  | ) |

Definition at line 543 of file ezworkflowprocess.php.

## ◆ cleanup()

eZWorkflowProcess::cleanup | ( |  | ) |
| static

Removes all workflow processes from database.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 652 of file ezworkflowprocess.php.

References eZDB\instance().

## ◆ content()

eZWorkflowProcess::content | ( |  | ) |

Definition at line 567 of file ezworkflowprocess.php.

References eZContentObject\fetch().

## ◆ create()

static eZWorkflowProcess::create | ( |  | $processKey,
|  |  | $parameters
| ) |  |
| static

Definition at line 134 of file ezworkflowprocess.php.

Referenced by eZMultiplexerType\execute(), and eZTrigger\runTrigger().

## ◆ createKey()

static eZWorkflowProcess::createKey | ( |  | $parameters,
|  |  | $keys = `null`
| ) |  |
| static

Definition at line 454 of file ezworkflowprocess.php.

Referenced by eZMultiplexerType\execute(), and eZTrigger\runTrigger().

## ◆ currentEvent()

eZWorkflowProcess::currentEvent | ( |  | ) |

Definition at line 539 of file ezworkflowprocess.php.

## ◆ definition()

static eZWorkflowProcess::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 25 of file ezworkflowprocess.php.

Referenced by fetch(), fetchForContent(), fetchForSession(), fetchForStatus(), fetchList(), fetchListByKey(), fetchUserList(), and removeThis().

## ◆ fetch()

static eZWorkflowProcess::fetch | ( |  | $id,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 437 of file ezworkflowprocess.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchForContent()

static eZWorkflowProcess::fetchForContent | ( |  | $workflowID,
|  |  | $userID,
|  |  | $contentID,
|  |  | $contentVersion,
|  |  | $nodeID,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 501 of file ezworkflowprocess.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchForSession()

static eZWorkflowProcess::fetchForSession | ( |  | $sessionKey,
|  |  | $workflowID,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 530 of file ezworkflowprocess.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchForStatus()

static eZWorkflowProcess::fetchForStatus | ( |  | $status = `eZWorkflow::STATUS_DEFERRED_TO_CRON`,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 515 of file ezworkflowprocess.php.

References definition(), eZPersistentObject\fetchObjectList(), and eZDB\instance().

## ◆ fetchList()

static eZWorkflowProcess::fetchList | ( |  | $conds = `null`,
|  |  | $asObject = `true`,
|  |  | $offset = `false`,
|  |  | $limit = `false`
| ) |  |
| static

Definition at line 445 of file ezworkflowprocess.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchListByKey()

static eZWorkflowProcess::fetchListByKey | ( |  | $searchKey,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 485 of file ezworkflowprocess.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZMultiplexerType\execute(), and eZTrigger\runTrigger().

## ◆ fetchUserList()

static eZWorkflowProcess::fetchUserList | ( |  | $userID,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 493 of file ezworkflowprocess.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ lastWorkflowEvent()

eZWorkflowProcess::lastWorkflowEvent | ( |  | ) |

Definition at line 603 of file ezworkflowprocess.php.

References eZWorkflowEvent\fetch().

## ◆ node()

eZWorkflowProcess::node | ( |  | ) |

Definition at line 576 of file ezworkflowprocess.php.

References eZContentObjectTreeNode\fetch().

## ◆ parameterList()

eZWorkflowProcess::parameterList | ( |  | ) |

Definition at line 612 of file ezworkflowprocess.php.

References $ParameterList, and eZPersistentObject\attribute().

## ◆ removeThis()

eZWorkflowProcess::removeThis | ( |  | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 625 of file ezworkflowprocess.php.

References eZPersistentObject\attribute(), definition(), eZWorkflowEvent\fetch(), eZDB\instance(), and eZPersistentObject\removeObject().

## ◆ reset()

eZWorkflowProcess::reset | ( |  | ) |

Definition at line 158 of file ezworkflowprocess.php.

Referenced by run().

## ◆ run()

eZWorkflowProcess::run | ( | & | $workflow,
|  | & | $workflowEvent,
|  | & | $eventLog
| ) |  |

Definition at line 181 of file ezworkflowprocess.php.

References advance(), eZPersistentObject\attribute(), eZWorkflowEvent\fetch(), eZPersistentObject\hasAttribute(), reset(), eZPersistentObject\setAttribute(), eZWorkflowType\STATUS_ACCEPTED, eZWorkflow\STATUS_CANCELLED, eZWorkflow\STATUS_DEFERRED_TO_CRON, eZWorkflowType\STATUS_DEFERRED_TO_CRON, eZWorkflowType\STATUS_DEFERRED_TO_CRON_REPEAT, eZWorkflow\STATUS_DONE, eZWorkflow\STATUS_FAILED, eZWorkflow\STATUS_FETCH_TEMPLATE, eZWorkflowType\STATUS_FETCH_TEMPLATE, eZWorkflow\STATUS_FETCH_TEMPLATE_REPEAT, eZWorkflowType\STATUS_FETCH_TEMPLATE_REPEAT, eZWorkflowType\STATUS_NONE, eZWorkflow\STATUS_REDIRECT, eZWorkflowType\STATUS_REDIRECT, eZWorkflowType\STATUS_REDIRECT_REPEAT, eZWorkflowType\STATUS_REJECTED, eZWorkflow\STATUS_RESET, eZWorkflowType\STATUS_RUN_SUB_EVENT, eZWorkflowType\STATUS_WORKFLOW_CANCELLED, eZWorkflowType\STATUS_WORKFLOW_DONE, eZWorkflowType\STATUS_WORKFLOW_RESET, eZWorkflowType\statusName(), eZDebugSetting\writeDebug(), eZDebug\writeError(), and eZDebug\writeWarning().

## ◆ setParameters()

eZWorkflowProcess::setParameters | ( |  | $parameterList = `null` | ) |

Definition at line 547 of file ezworkflowprocess.php.

References eZPersistentObject\attribute(), and eZPersistentObject\setAttribute().

## ◆ user()

eZWorkflowProcess::user | ( |  | ) |

Definition at line 558 of file ezworkflowprocess.php.

References eZUser\instance().

## ◆ workflow()

eZWorkflowProcess::workflow | ( |  | ) |

Definition at line 585 of file ezworkflowprocess.php.

References eZWorkflow\fetch().

## ◆ workflowEvent()

eZWorkflowProcess::workflowEvent | ( |  | ) |

Definition at line 594 of file ezworkflowprocess.php.

References eZWorkflowEvent\fetch().

## Member Data Documentation

## ◆ $ActivationDate

eZWorkflowProcess::$ActivationDate

Definition at line 672 of file ezworkflowprocess.php.

## ◆ $ContentID

eZWorkflowProcess::$ContentID

Definition at line 662 of file ezworkflowprocess.php.

## ◆ $Created

eZWorkflowProcess::$Created

Definition at line 670 of file ezworkflowprocess.php.

## ◆ $EventID

eZWorkflowProcess::$EventID

Definition at line 664 of file ezworkflowprocess.php.

Referenced by advance().

## ◆ $EventPosition

eZWorkflowProcess::$EventPosition

Definition at line 665 of file ezworkflowprocess.php.

Referenced by advance().

## ◆ $EventState

eZWorkflowProcess::$EventState

Definition at line 22 of file ezworkflowprocess.php.

## ◆ $EventStatus

eZWorkflowProcess::$EventStatus

Definition at line 669 of file ezworkflowprocess.php.

## ◆ $ID

eZWorkflowProcess::$ID

Definition at line 659 of file ezworkflowprocess.php.

## ◆ $LastEventID

eZWorkflowProcess::$LastEventID

Definition at line 666 of file ezworkflowprocess.php.

## ◆ $LastEventPosition

eZWorkflowProcess::$LastEventPosition

Definition at line 667 of file ezworkflowprocess.php.

## ◆ $LastEventStatus

eZWorkflowProcess::$LastEventStatus

Definition at line 668 of file ezworkflowprocess.php.

## ◆ $Modified

eZWorkflowProcess::$Modified

Definition at line 671 of file ezworkflowprocess.php.

## ◆ $NodeID

eZWorkflowProcess::$NodeID

Definition at line 663 of file ezworkflowprocess.php.

## ◆ $ParameterList

eZWorkflowProcess::$ParameterList

Definition at line 24 of file ezworkflowprocess.php.

Referenced by parameterList().

## ◆ $Parameters

eZWorkflowProcess::$Parameters

Definition at line 23 of file ezworkflowprocess.php.

## ◆ $UserID

eZWorkflowProcess::$UserID

Definition at line 661 of file ezworkflowprocess.php.

## ◆ $WorkflowID

eZWorkflowProcess::$WorkflowID

Definition at line 660 of file ezworkflowprocess.php.

The documentation for this class was generated from the following file:

- ezworkflowprocess.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.